<?php
  require_once './config/config.php';
  require_once './config/define_constants.php';


function create_slider($title, $service, $degree_percent_bar, $height){

  $get_query = "
                SELECT * 
                FROM  `saved_values` 
                WHERE  `buderus_id` =  '".$service."'
                ORDER BY  `timestamp` DESC
                LIMIT 1   
  ";
  $mysqli = new mysqli(DB_HOST, DB_USER, DB_PW, DB_NAME);
  if ($mysqli->connect_error) {die('Connect Error (' . $mysqli->connect_errno . ') ' . $mysqli->connect_error);}
  if (mysqli_connect_error()) {die('Connect Error (' . mysqli_connect_errno() . ') ' . mysqli_connect_error());}

  if ($result = $mysqli->query($get_query)) {
    $last_entry = $result->fetch_assoc();
         // echo "<pre>";
         // print_r($last_entry);
         // echo "</pre>";
  }
  $result->free();
  $mysqli->close();

  if($degree_percent_bar == 'degree'){
    if($last_entry['value'] <= '15'){
      $min = '-20';
      $max = '30';
      $sign = '&deg;';
      $scala_values = '-20, -10, 0, 10, 20, 30';    
    }
    if($last_entry['value'] > '15' AND $last_entry['value'] <= '30'){
      $min = '10';
      $max = '40';
      $sign = '&deg;';
      $scala_values = '10, 20, 30, 40';    
    }  
    if($last_entry['value'] > '30'){
      $min = '20';
      $max = '100';
      $sign = '&deg;';
      $scala_values = '20, 30, 40, 50, 60, 70, 80, 90, 100';    
    } 
  }
  
  if($degree_percent_bar == 'percent'){
    $min = '0';
    $max = '100';
    $sign = '&#37;';      
    $scala_values = '0, 20, 40, 60, 80, 100';
  }

  if($degree_percent_bar == 'bar'){
    $min = '0';
    $max = '4';
    $sign = 'bar';      
    $scala_values = '0, 2, 4';
  }
  
  echo '
              <span class="card-title">'.$title.' '.$last_entry['value'].$sign.'</span>
              <div id="Slider_'.$service.'" style="height: '.$height.';" disabled="disabled"></div>
              <script>
              var softSlider = document.getElementById(\'Slider_'.$service.'\');
              
              noUiSlider.create(softSlider, {
              	start: '.$last_entry['value'].', //Wert
                orientation: \'vertical\',
              	direction: \'rtl\',
                tooltips: true,
              	range: {
              		\'min\': [ '.$min.' ],
              		\'max\': [ '.$max.' ]
              	},
              	format: wNumb({
              		decimals: 1,
              		postfix: \''.$sign.'\',//Gradzeichen
              	}),  
              	pips: {
              		mode: \'values\',
              		values: ['.$scala_values.'], //Scalenwerte
              		density: 10
              	}
              });
              </script>  
  
  
  
  ';
}
?>